Skip to main content
`Ctrl`+`K`

# MatHtoolUsePermutation

Sets whether a `MATHTOOL` matrix should permute input (resp. output) vectors following its internal source (resp. target) permutation.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHtoolUsePermutation(Mat A, PetscBool use)

## Input Parameters

- A - hierarchical matrix

- use - Boolean value

## See Also

Matrices, `Mat`, `MATHTOOL`, `MatHtoolGetPermutationSource()`, `MatHtoolGetPermutationTarget()`

## Level

advanced

## Location

src/mat/impls/htool/htool.cxx

## Implementations

MatHtoolUsePermutation_Htool() in src/mat/impls/htool/htool.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages